Subject: Re: [bug#51730] [PATCH 19/21] gnu: Add rust-wl-clipboard-rs-0.4.

From: phodina <[email-masked]>
Date: Tue, 07 Dec 2021 22:31:20 +0000

Hi Nicolas,

On Friday, December 3rd, 2021 at 9:13 PM, Nicolas Goaziou <[email-masked]> wrote:

> Hello,
>
> phodina [email-masked] writes:
>
> > I've rebased the patches on top of the latest master branch and fixed
> >
> > the conflicts.
>
> Thank you.
>
> > I was looking for wayland crates therefore I put it in crates-graphics.scm. However, I agree with you the crates-io.scm is a better place.
> >
> > Note that the order of rust-thread-local-0.3.4 and rust-stderrlog-0.4
> >
> > is swapped.
>
> Is it possible to relax requirements in rust-stderrlog-0.4 so it accepts
>
> rust-thread-local-0.3.6? See, e.g., rust-average-0.13.
>
> Regards,
> --------------------------------------------------------------------------------------------------------------------------------------------
>
> Nicolas Goaziou

Thanks for the tip. I've used that in the past. However, the package in question rust-stderrlog-0.4 has requirement which makes that very hard to relax:

Caused by:
  failed to select a version for the requirement `thread_local = "^0.3, <=0.3.4"`
  candidate versions found which didn't match: 0.3.6

I'd rather just add the package definition than modify the requirement only to discover some wierd issues later.

Is it possible to just add the package rust-thread-local in this specific version and later when the dependency (rust-stderrlog) of spotify-tui is updated this orphan package could be deleted?

----
Petr